## r-bioc-purecn 1.20.0+dfsg

=== DESCRIPTION ===
Package: PureCN
Type: Package
Title: Copy number calling and SNV classification using targeted short
        read sequencing
Version: 1.20.0
Date: 2020-10-15
Authors@R: c(person("Markus", "Riester",
                    role = c("aut", "cre"),
                    email = "markus.riester@novartis.com",
                    comment = c(ORCID = "0000-0002-4759-8332")),
             person("Angad P.", "Singh", role = "aut"))
Description: This package estimates tumor purity, copy number, and loss of
    heterozygosity (LOH), and classifies single nucleotide variants (SNVs) by
    somatic status and clonality. PureCN is designed for targeted short read
    sequencing data, integrates well with standard somatic variant detection
    and copy number pipelines, and has support for tumor samples without
    matching normal samples.
Depends: R (>= 3.5.0), DNAcopy, VariantAnnotation (>= 1.14.1)
Imports: GenomicRanges (>= 1.20.3), IRanges (>= 2.2.1), RColorBrewer,
        S4Vectors, data.table, grDevices, graphics, stats, utils,
        SummarizedExperiment, GenomeInfoDb, GenomicFeatures, Rsamtools,
        Biostrings, BiocGenerics, rtracklayer, ggplot2, gridExtra,
        futile.logger, VGAM, tools, methods, rhdf5, Matrix
Suggests: BiocParallel, BiocStyle, PSCBS,
        TxDb.Hsapiens.UCSC.hg19.knownGene, copynumber, covr, knitr,
        optparse, org.Hs.eg.db, jsonlite, rmarkdown, testthat
Enhances: genomicsdb
VignetteBuilder: knitr
License: Artistic-2.0
URL: https://github.com/lima1/PureCN
biocViews: CopyNumberVariation, Software, Sequencing,
        VariantAnnotation, VariantDetection, Coverage, ImmunoOncology
NeedsCompilation: no
ByteCompile: yes
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/PureCN
git_branch: RELEASE_3_12
git_last_commit: 582f4fa
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
Packaged: 2020-10-28 02:39:59 UTC; biocbuild
Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
  Angad P. Singh [aut]
Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (1.20.0+dfsg-3) unstable; urgency=medium

  * Deactivate Testsuite: autopkgtest-pkg-r
    Closes: #981820

 -- Andreas Tille <tille@debian.org>  Sat, 06 Feb 2021 07:59:48 +0100

r-bioc-purecn (1.20.0+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Smallish lintian quirks I only saw after upload. Sorry.

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Exclude test needing not packaged data set TxDb.Hsapiens.UCSC.hg19.knownGene
  * Exclude more tests that are failing due to missing data

 -- Andreas Tille <tille@debian.org>  Mon, 14 Dec 2020 17:52:18 +0100

r-bioc-purecn (1.20.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #976789)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 20:40:17 +0100

=== debian/control ===
Source: r-bioc-purecn
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
# Testsuite: autopkgtest-pkg-r # deactivated see #981820
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-dnacopy,
               r-bioc-variantannotation (>= 1.14.1),
               r-bioc-genomicranges (>= 1.20.3),
               r-bioc-iranges (>= 2.2.1),
               r-cran-rcolorbrewer,
               r-bioc-s4vectors,
               r-cran-data.table,
               r-bioc-summarizedexperiment,
               r-bioc-genomeinfodb,
               r-bioc-genomicfeatures,
               r-bioc-rsamtools,
               r-bioc-biostrings,
               r-bioc-biocgenerics,
               r-bioc-rtracklayer,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-futile.logger,
               r-cran-vgam,
               r-bioc-rhdf5,
               r-cran-matrix
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-purecn.git
Homepage: https://bioconductor.org/packages/PureCN/
Rules-Requires-Root: no

Package: r-bioc-purecn
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: copy number calling and SNV classification using targeted short read sequencing
 This package estimates tumor purity, copy number, and loss of
 heterozygosity (LOH), and classifies single nucleotide variants (SNVs) by
 somatic status and clonality. PureCN is designed for targeted short read
 sequencing data, integrates well with standard somatic variant detection
 and copy number pipelines, and has support for tumor samples without
 matching normal samples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	find debian -name "*.Rnw" -o "*.Rmd" | xargs -r chmod -x

## r-bioc-purecn 2.0.1%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 1.20.0
-Date: 2020-10-15
+Version: 2.0.1
+Date: 2021-10-29
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
                     email = "markus.riester@novartis.com",
@@ -19,12 +19,13 @@
 Imports: GenomicRanges (>= 1.20.3), IRanges (>= 2.2.1), RColorBrewer,
         S4Vectors, data.table, grDevices, graphics, stats, utils,
         SummarizedExperiment, GenomeInfoDb, GenomicFeatures, Rsamtools,
-        Biostrings, BiocGenerics, rtracklayer, ggplot2, gridExtra,
-        futile.logger, VGAM, tools, methods, rhdf5, Matrix
-Suggests: BiocParallel, BiocStyle, PSCBS,
+        Biobase, Biostrings, BiocGenerics, rtracklayer, ggplot2,
+        gridExtra, futile.logger, VGAM, tools, methods, mclust, rhdf5,
+        Matrix
+Suggests: BiocParallel, BiocStyle, PSCBS, R.utils,
         TxDb.Hsapiens.UCSC.hg19.knownGene, copynumber, covr, knitr,
-        optparse, org.Hs.eg.db, jsonlite, rmarkdown, testthat
-Enhances: genomicsdb
+        optparse, org.Hs.eg.db, jsonlite, markdown, rmarkdown, testthat
+Enhances: genomicsdb (>= 0.0.3)
 VignetteBuilder: knitr
 License: Artistic-2.0
 URL: https://github.com/lima1/PureCN
@@ -34,11 +35,11 @@
 ByteCompile: yes
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_12
-git_last_commit: 582f4fa
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-28 02:39:59 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: 4e75402
+git_last_commit_date: 2021-10-29
+Date/Publication: 2021-10-31
+Packaged: 2021-10-31 22:21:11 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

## r-bioc-purecn 2.0.1+dfsg

=== debian/changelog ===
r-bioc-purecn (2.0.1+dfsg-1) unstable; urgency=medium

  * Allow failure for piuparts
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 14:11:47 +0100

r-bioc-purecn (1.22.2+dfsg-1) unstable; urgency=medium

  * Prepare for proper autopkgtest-pkg-r usage
  * Fix permissions
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-genomicranges,
      r-bioc-iranges and r-bioc-variantannotation.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 20:56:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # deactivated see #981820
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-dnacopy,
-               r-bioc-variantannotation (>= 1.14.1),
-               r-bioc-genomicranges (>= 1.20.3),
-               r-bioc-iranges (>= 2.2.1),
+               r-bioc-variantannotation,
+               r-bioc-genomicranges,
+               r-bioc-iranges,
                r-cran-rcolorbrewer,
                r-bioc-s4vectors,
                r-cran-data.table,
@@ -18,6 +18,7 @@
                r-bioc-genomeinfodb,
                r-bioc-genomicfeatures,
                r-bioc-rsamtools,
+               r-bioc-biobase,
                r-bioc-biostrings,
                r-bioc-biocgenerics,
                r-bioc-rtracklayer,
@@ -25,9 +26,10 @@
                r-cran-gridextra,
                r-cran-futile.logger,
                r-cran-vgam,
+               r-cran-mclust,
                r-bioc-rhdf5,
                r-cran-matrix
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-purecn.git
 Homepage: https://bioconductor.org/packages/PureCN/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	find debian \( -name "*.Rnw" -o -name "*.Rmd" \) -delete

## r-bioc-purecn 2.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.0.1
-Date: 2021-10-29
+Version: 2.2.0
+Date: 2022-02-25
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
                     email = "markus.riester@novartis.com",
@@ -33,13 +33,13 @@
         VariantAnnotation, VariantDetection, Coverage, ImmunoOncology
 NeedsCompilation: no
 ByteCompile: yes
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_14
-git_last_commit: 4e75402
-git_last_commit_date: 2021-10-29
-Date/Publication: 2021-10-31
-Packaged: 2021-10-31 22:21:11 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 008f1dd
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:46:45 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:48:45 +0200

r-bioc-purecn (2.0.2+dfsg-2) unstable; urgency=medium

  * Add debian/tests/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 17:34:41 +0100

r-bioc-purecn (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 12:37:07 +0100

## r-bioc-purecn 2.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.2.0
+Version: 2.4.0
 Date: 2022-02-25
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
@@ -35,11 +35,11 @@
 ByteCompile: yes
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_15
-git_last_commit: 008f1dd
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 21:46:45 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 639f2a8
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 22:40:24 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:36:28 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                r-cran-mclust,
                r-bioc-rhdf5,
                r-cran-matrix
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-purecn.git
 Homepage: https://bioconductor.org/packages/PureCN/

## r-bioc-purecn 2.6.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.4.0
-Date: 2022-02-25
+Version: 2.6.4
+Date: 2023-06-20
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
                     email = "markus.riester@novartis.com",
@@ -23,9 +23,9 @@
         gridExtra, futile.logger, VGAM, tools, methods, mclust, rhdf5,
         Matrix
 Suggests: BiocParallel, BiocStyle, PSCBS, R.utils,
-        TxDb.Hsapiens.UCSC.hg19.knownGene, copynumber, covr, knitr,
-        optparse, org.Hs.eg.db, jsonlite, markdown, rmarkdown, testthat
-Enhances: genomicsdb (>= 0.0.3)
+        TxDb.Hsapiens.UCSC.hg19.knownGene, covr, knitr, optparse,
+        org.Hs.eg.db, jsonlite, markdown, rmarkdown, testthat
+Enhances: genomicsdb (>= 0.0.3), copynumber
 VignetteBuilder: knitr
 License: Artistic-2.0
 URL: https://github.com/lima1/PureCN
@@ -33,13 +33,13 @@
         VariantAnnotation, VariantDetection, Coverage, ImmunoOncology
 NeedsCompilation: no
 ByteCompile: yes
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_16
-git_last_commit: 639f2a8
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 22:40:24 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: efeb6db
+git_last_commit_date: 2023-06-20
+Date/Publication: 2023-06-20
+Packaged: 2023-06-20 22:29:49 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 21:55:12 +0200

## r-bioc-purecn 2.8.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.6.4
-Date: 2023-06-20
+Version: 2.8.1
+Date: 2023-10-20
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
                     email = "markus.riester@novartis.com",
@@ -25,7 +25,7 @@
 Suggests: BiocParallel, BiocStyle, PSCBS, R.utils,
         TxDb.Hsapiens.UCSC.hg19.knownGene, covr, knitr, optparse,
         org.Hs.eg.db, jsonlite, markdown, rmarkdown, testthat
-Enhances: genomicsdb (>= 0.0.3), copynumber
+Enhances: genomicsdb (>= 0.0.3)
 VignetteBuilder: knitr
 License: Artistic-2.0
 URL: https://github.com/lima1/PureCN
@@ -35,11 +35,12 @@
 ByteCompile: yes
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_17
-git_last_commit: efeb6db
-git_last_commit_date: 2023-06-20
-Date/Publication: 2023-06-20
-Packaged: 2023-06-20 22:29:49 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 43f6a49
+git_last_commit_date: 2023-11-20
+Repository: Bioconductor 3.18
+Date/Publication: 2023-11-21
+Packaged: 2023-11-21 23:40:15 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                r-cran-mclust,
                r-bioc-rhdf5,
                r-cran-matrix
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-purecn.git
 Homepage: https://bioconductor.org/packages/PureCN/

## r-bioc-purecn 2.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.8.1
-Date: 2023-10-20
+Version: 2.10.0
+Date: 2024-04-24
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
                     email = "markus.riester@novartis.com",
@@ -33,14 +33,14 @@
         VariantAnnotation, VariantDetection, Coverage, ImmunoOncology
 NeedsCompilation: no
 ByteCompile: yes
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_18
-git_last_commit: 43f6a49
-git_last_commit_date: 2023-11-20
-Repository: Bioconductor 3.18
-Date/Publication: 2023-11-21
-Packaged: 2023-11-21 23:40:15 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 7048a48
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 05:28:57 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:38:44 +0200

r-bioc-purecn (2.10.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: depend on bioc-3.19+ versions of r-bioc-* packages

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 11:44:06 +0200

r-bioc-purecn (2.10.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 18:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,27 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-dnacopy,
-               r-bioc-variantannotation,
-               r-bioc-genomicranges,
-               r-bioc-iranges,
+               r-bioc-dnacopy (>=1.78.0),
+               r-bioc-variantannotation (>=1.50.0),
+               r-bioc-genomicranges (>=1.56.1),
+               r-bioc-iranges (>=2.38.1),
                r-cran-rcolorbrewer,
-               r-bioc-s4vectors,
+               r-bioc-s4vectors (>=0.42.1),
                r-cran-data.table,
-               r-bioc-summarizedexperiment,
-               r-bioc-genomeinfodb,
-               r-bioc-genomicfeatures,
-               r-bioc-rsamtools,
-               r-bioc-biobase,
-               r-bioc-biostrings,
-               r-bioc-biocgenerics,
-               r-bioc-rtracklayer,
+               r-bioc-summarizedexperiment (>=1.34.0),
+               r-bioc-genomeinfodb (>=1.40.1),
+               r-bioc-genomicfeatures (>=1.56.0),
+               r-bioc-rsamtools (>=2.20.0),
+               r-bioc-biobase (>=2.64.0),
+               r-bioc-biostrings (>=2.72.1),
+               r-bioc-biocgenerics (>=0.50.0),
+               r-bioc-rtracklayer (>=1.64.0),
                r-cran-ggplot2,
                r-cran-gridextra,
                r-cran-futile.logger,
                r-cran-vgam,
                r-cran-mclust,
-               r-bioc-rhdf5,
+               r-bioc-rhdf5 (>=2.48.0),
                r-cran-matrix
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
@@ -38,7 +38,20 @@
 Package: r-bioc-purecn
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-dnacopy (>=1.78.0),
+         r-bioc-variantannotation (>=1.50.0),
+         r-bioc-genomicranges (>=1.56.1),
+         r-bioc-s4vectors (>=0.42.1),
+         r-bioc-summarizedexperiment (>=1.34.0),
+         r-bioc-genomeinfodb (>=1.40.1),
+         r-bioc-genomicfeatures (>=1.56.0),
+         r-bioc-rsamtools (>=2.20.0),
+         r-bioc-biobase (>=2.64.0),
+         r-bioc-biostrings (>=2.72.1),
+         r-bioc-biocgenerics (>=0.50.0),
+         r-bioc-rtracklayer (>=1.64.0),
+         r-bioc-rhdf5 (>=2.48.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: copy number calling and SNV classification using targeted short read sequencing

## r-bioc-purecn 2.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Copy number calling and SNV classification using targeted short
         read sequencing
-Version: 2.10.0
+Version: 2.12.0
 Date: 2024-04-24
 Authors@R: c(person("Markus", "Riester",
                     role = c("aut", "cre"),
@@ -35,12 +35,12 @@
 ByteCompile: yes
 RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/PureCN
-git_branch: RELEASE_3_19
-git_last_commit: 7048a48
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 05:28:57 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 7a189a9
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 02:19:09 UTC; biocbuild
 Author: Markus Riester [aut, cre] (<https://orcid.org/0000-0002-4759-8332>),
   Angad P. Singh [aut]
 Maintainer: Markus Riester <markus.riester@novartis.com>

=== debian/changelog ===
r-bioc-purecn (2.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:56:53 +0100

r-bioc-purecn (2.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:26:45 +0100

=== debian/control ===
Source: r-bioc-purecn
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-dnacopy,
               r-bioc-variantannotation,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-cran-rcolorbrewer,
               r-bioc-s4vectors,
               r-cran-data.table,
               r-bioc-summarizedexperiment,
               r-bioc-genomeinfodb,
               r-bioc-genomicfeatures,
               r-bioc-rsamtools,
               r-bioc-biobase,
               r-bioc-biostrings,
               r-bioc-biocgenerics,
               r-bioc-rtracklayer,
               r-cran-ggplot2,
               r-cran-gridextra,
               r-cran-futile.logger,
               r-cran-vgam,
               r-cran-mclust,
               r-bioc-rhdf5,
               r-cran-matrix
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-purecn
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-purecn.git
Homepage: https://bioconductor.org/packages/PureCN/
Rules-Requires-Root: no

Package: r-bioc-purecn
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: copy number calling and SNV classification using targeted short read sequencing
 This package estimates tumor purity, copy number, and loss of
 heterozygosity (LOH), and classifies single nucleotide variants (SNVs) by
 somatic status and clonality. PureCN is designed for targeted short read
 sequencing data, integrates well with standard somatic variant detection
 and copy number pipelines, and has support for tumor samples without
 matching normal samples.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/PureCN.html .*/PureCN_(.*).tar.gz
